Bug 1325129 (CVE-2016-4037) - CVE-2016-4037 Qemu: usb: Infinite loop vulnerability in usb_ehci using siTD process
Summary: CVE-2016-4037 Qemu: usb: Infinite loop vulnerability in usb_ehci using siTD p...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-4037
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1328080 1328081
Blocks: 1325130
TreeView+ depends on / blocked
 
Reported: 2016-04-08 11:21 UTC by Adam Mariš
Modified: 2019-09-29 13:46 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:50:27 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-04-08 11:21:39 UTC
Qemu emulator built with the USB EHCI emulation support is vulnerable to an
infinite loop issue. It occurs during communication between host controller interface(EHCI) and a respective device driver. These two communicate via a split isochronous transfer descriptor list(siTD) and an infinite loop unfolds if there is a closed loop in this list.

A privileges used inside guest could use this flaw to consume excessive CPU cycles & resources on the host.

This issue is similar to CVE-2015-8558, but using siTD instead of iTD.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-04/msg02691.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/04/18/3

Comment 1 Adam Mariš 2016-04-08 11:21:55 UTC
Acknowledgments:

Name: Du Shaobo (Qihoo 360)

Comment 2 Prasad J Pandit 2016-04-18 11:35:19 UTC
Statement:

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.

Comment 3 Prasad J Pandit 2016-04-18 11:56:08 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1328081]

Comment 4 Prasad J Pandit 2016-04-18 11:56:23 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1328080]

Comment 5 Fedora Update System 2016-04-30 00:25:34 UTC
xen-4.5.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-05-01 00:22:30 UTC
xen-4.5.3-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-05-07 12:04:57 UTC
xen-4.6.1-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-05-15 05:26:30 UTC
qemu-2.4.1-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-05-20 23:48:45 UTC
qemu-2.3.1-14.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.